# wxAuiTabArt Class Reference
[Window Docking (wxAUI)]

`#include <wx/aui/auibook.h>`

## Detailed Description

Tab art class.

Todo:
  BETTER DESCRIPTION NEEDED

##

Library: wxAui

Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiTabArt ()
| Constructor.
virtual wxAuiTabArt * | Clone ()=0
| Clones the art object.
virtual void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
| Draws a background on the given area.
virtual void | DrawButton (wxDC &dc, wxWindow *wnd, const wxRect &in_rect, int bitmap_id, int button_state, int orientation, wxRect *out_rect)=0
| Draws a button.
virtual void | DrawTab (wxDC &dc, wxWindow *wnd, const wxAuiNotebookPage &page, const wxRect &rect, int close_button_state, wxRect *out_tab_rect, wxRect *out_button_rect, int *x_extent)=0
| Draws a tab.
virtual int | GetBestTabCtrlSize (wxWindow *, const wxAuiNotebookPageArray &, const wxSize &)=0
| Returns the tab control size.
virtual int | GetIndentSize ()=0
| Returns the indent size.
virtual wxSize | GetTabSize (wxDC &dc, wxWindow *wnd, const wxString &caption, const wxBitmap &bitmap, bool active, int close_button_state, int *x_extent)=0
| Returns the tab size for the given caption, bitmap and state.
virtual void | SetFlags (unsigned int flags)=0
| Sets flags.
virtual void | SetMeasuringFont (const wxFont &font)=0
| Sets the font used for calculating measurements.
virtual void | SetNormalFont (const wxFont &font)=0
| Sets the normal font for drawing labels.
virtual void | SetSelectedFont (const wxFont &font)=0
| Sets the font for drawing text for selected UI elements.
virtual void | SetColour (const wxColour &colour)=0
| Sets the colour of the inactive tabs.
virtual void | SetActiveColour (const wxColour &colour)=0
| Sets the colour of the selected tab.
virtual void | SetSizingInfo (const wxSize &tab_ctrl_size, size_t tab_count)=0
| Sets sizing information.

List of all members.

## Constructor & Destructor Documentation

wxAuiTabArt::wxAuiTabArt | ( |  | ) |

Constructor.

## Member Function Documentation

virtual wxAuiTabArt* wxAuiTabArt::Clone | ( |  | ) | `[pure virtual]`

Clones the art object.

virtual void wxAuiTabArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect |
| ) |  |  | `[pure virtual]`

Draws a background on the given area.

virtual void wxAuiTabArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | in_rect,
|  | int | bitmap_id,
|  | int | button_state,
|  | int | orientation,
|  | wxRect * | out_rect |
| ) |  |  | `[pure virtual]`

Draws a button.

virtual void wxAuiTabArt::DrawTab | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiNotebookPage & | page,
|  | const wxRect & | rect,
|  | int | close_button_state,
|  | wxRect * | out_tab_rect,
|  | wxRect * | out_button_rect,
|  | int * | x_extent |
| ) |  |  | `[pure virtual]`

Draws a tab.

virtual int wxAuiTabArt::GetBestTabCtrlSize | ( | wxWindow * | ,
|  | const wxAuiNotebookPageArray & | ,
|  | const wxSize & |  |
| ) |  |  | `[pure virtual]`

Returns the tab control size.

virtual int wxAuiTabArt::GetIndentSize | ( |  | ) | `[pure virtual]`

Returns the indent size.

virtual wxSize wxAuiTabArt::GetTabSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxString & | caption,
|  | const wxBitmap & | bitmap,
|  | bool | active,
|  | int | close_button_state,
|  | int * | x_extent |
| ) |  |  | `[pure virtual]`

Returns the tab size for the given caption, bitmap and state.

virtual void wxAuiTabArt::SetActiveColour | ( | const wxColour & | colour | ) | `[pure virtual]`

Sets the colour of the selected tab.

Since:
  2.9.2

virtual void wxAuiTabArt::SetColour | ( | const wxColour & | colour | ) | `[pure virtual]`

Sets the colour of the inactive tabs.

Since:
  2.9.2

virtual void wxAuiTabArt::SetFlags | ( | unsigned int | flags | ) | `[pure virtual]`

Sets flags.

virtual void wxAuiTabArt::SetMeasuringFont | ( | const wxFont & | font | ) | `[pure virtual]`

Sets the font used for calculating measurements.

virtual void wxAuiTabArt::SetNormalFont | ( | const wxFont & | font | ) | `[pure virtual]`

Sets the normal font for drawing labels.

virtual void wxAuiTabArt::SetSelectedFont | ( | const wxFont & | font | ) | `[pure virtual]`

Sets the font for drawing text for selected UI elements.

virtual void wxAuiTabArt::SetSizingInfo | ( | const wxSize & | tab_ctrl_size,
|  | size_t | tab_count |
| ) |  |  | `[pure virtual]`

Sets sizing information.

|  | [ top ]